WordPress.org

Support

Support » Plugins and Hacks » Dynamic Widgets » [Resolved] PHP Strict Warnings

[Resolved] PHP Strict Warnings

  • Any plan to fix the strict warnings? I know the output should be disabled on production sites (which I do) but during development I keep all debugging on, and this makes it very tedious to work with widgets when you have to scroll all the way down the page to get past the debug errors:

    Strict standards: Declaration of DW_Author::mkGUI() should be compatible with DWModule::mkGUI($type, $title, $question, $info, $except = false, $list = false, $name = NULL) in /plugins/dynamic-widgets/mods/author_module.php on line 69

    and

    Strict standards: Declaration of DW_Category::GUIComplex() should be compatible with DWModule::GUIComplex($except, $list, $extra = NULL, $name = NULL) in /plugins/dynamic-widgets/mods/category_module.php on line 103

    https://wordpress.org/plugins/dynamic-widgets/

Viewing 6 replies - 1 through 6 (of 6 total)
  • Plugin Author Qurl

    @qurl

    Apologies for the late reply, I’ve been traveling.
    I think those two notices have already been fixed in the latest development version, but I’ll check it.

    Hi Qurl

    I’m using WP 3.9.1 and Dynamic Widget 1.5.7

    And still getting this warnings:
    Strict Standards: Declaration of DW_Author::mkGUI() should be compatible with DWModule::mkGUI($type, $title, $question, $info, $except = false, $list = false, $name = NULL) in […]\wp-content\plugins\dynamic-widgets\mods\author_module.php on line 69

    Strict Standards: Declaration of DW_Category::GUIComplex() should be compatible with DWModule::GUIComplex($except, $list, $extra = NULL, $name = NULL) in […]\wp-content\plugins\dynamic-widgets\mods\category_module.php on line 103

    Thank you for any help

    Plugin Author Qurl

    @qurl

    Yes, it’s fixed in the development version.

    It’s not fixed in the latest development version.

    I just installed v1.5.8.3 (latest dev version), and I’m getting the same error.

    See: mods/author_module.php ~L42

    public static function mkGUI($type, $title, $question, $info = FALSE) {

    should be:

    public static function mkGUI($type, $title, $question, $info = FALSE, $except = false, $list = false, $name = NULL) {

    Plugin Author Qurl

    @qurl

    Got it, fixed in 1.5.8.4. Thanks!

    Thanks for the fix. And thanks for the plugin.

Viewing 6 replies - 1 through 6 (of 6 total)
  • The topic ‘[Resolved] PHP Strict Warnings’ is closed to new replies.
Skip to toolbar